package modelling;

import sema.Agent;
import sema.Element;


/**
 * Manage the capacity of an agent to be eaten.
 */
public interface Eatable {
    
    /**
     * Determinates if the agent may eat it by the given element.
     */
    public boolean canEat(Element el);
    
    
    /*
     * Returns the  food quantity.
     */
    public float eaten(Agent ag);
    
    /**
     * Returns the quantity of food remaining.
     */
    public float getNutritiveReserves();
}
